> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fulfillment

> List all fulfillment history of an order



## OpenAPI

````yaml /api-reference/payments/openapi.json get /payments/orders/{orderId}/fulfillments
openapi: 3.0.0
info:
  title: Payments API
  description: Documentation for payments API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Payments
    description: Documentation for payments API
  - name: Integrations
    description: Documentation for payments API
  - name: Orders
    description: Documentation for payments API
  - name: Order fulfillments
    description: Documentation for payments API
  - name: Order Notes
    description: Documentation for payments API
  - name: Transactions
    description: Documentation for payments API
  - name: Subscriptions
    description: Documentation for payments API
  - name: Coupons
    description: Documentation for payments API
  - name: Custom Provider
    description: Documentation for payments API
paths:
  /payments/orders/{orderId}/fulfillments:
    get:
      tags:
        - Order fulfillments
      summary: List fulfillment
      description: List all fulfillment history of an order
      operationId: list-order-fulfillment
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: altId
          required: true
          in: query
          description: Location Id or Agency Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          schema:
            type: string
            enum:
              - location
        - name: orderId
          required: true
          in: path
          description: ID of the order that needs to be returned
          schema:
            example: 653f5e0cde5a1314e62a837c
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFulfillmentResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - payments/orders.readonly
components:
  schemas:
    ListFulfillmentResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        data:
          description: An array of fulfilled items
          type: array
          items:
            $ref: '#/components/schemas/FulfillmentSchema'
      required:
        - status
        - data
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    FulfillmentSchema:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        trackings:
          description: Fulfillment tracking information
          type: array
          items:
            $ref: '#/components/schemas/FulfillmentTracking'
        _id:
          type: string
          description: The unique identifier for the fulfillment item.
          example: 655b33a82209e60b6adb87a5
        items:
          description: Fulfilled items
          type: array
          items:
            $ref: '#/components/schemas/FulfilledItem'
        createdAt:
          type: string
          description: created at
          example: '2023-12-12T09:27:42.355Z'
        updatedAt:
          type: string
          description: updated at
          example: '2023-12-12T09:27:42.355Z'
      required:
        - altId
        - altType
        - trackings
        - _id
        - items
        - createdAt
        - updatedAt
    FulfillmentTracking:
      type: object
      properties:
        trackingNumber:
          type: string
          description: Tracking number provided by the shipping carrier
          example: '40012345678'
        shippingCarrier:
          type: string
          description: Shipping carrier name
          example: FedEx
        trackingUrl:
          type: string
          description: Tracking URL
          example: https://www.fedex.com/wtrk/track/?trknbr=40012345678
    FulfilledItem:
      type: object
      properties:
        _id:
          type: string
          description: The id of product price
          example: 6578278e879ad2646715ba9c
        name:
          type: string
          description: Name
          example: Iphone 15 pro
        product:
          $ref: '#/components/schemas/DefaultProductResponseDto'
        price:
          $ref: '#/components/schemas/DefaultPriceResponseDto'
        qty:
          type: number
          description: The no of quantity of the current fulfilled item
          example: 1
      required:
        - _id
        - name
        - product
        - price
        - qty
    DefaultProductResponseDto:
      type: object
      properties:
        _id:
          type: string
          description: The unique identifier for the product.
          example: 655b33a82209e60b6adb87a5
        description:
          type: string
          description: product description
          example: This is a really awesome product
        variants:
          description: An array of variants for the product.
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantDto'
        locationId:
          type: string
          description: The unique identifier for the location.
          example: 3SwdhCsvxI8Au3KsPJt6
        name:
          type: string
          description: The name of the product.
          example: Awesome Product
        productType:
          type: string
          description: The type of the product (e.g., PHYSICAL).
          example: PHYSICAL
        availableInStore:
          type: boolean
          description: Indicates whether the product is available in-store.
          example: true
        createdAt:
          format: date-time
          type: string
          description: The creation timestamp of the product.
          example: '2023-11-20T10:23:36.515Z'
        updatedAt:
          format: date-time
          type: string
          description: The last update timestamp of the product.
          example: '2024-01-23T09:57:04.846Z'
        statementDescriptor:
          type: string
          description: The statement descriptor for the product.
          example: abcde
        image:
          type: string
          description: The URL for the product image.
          example: >-
            https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png
        collectionIds:
          description: An array of category Ids for the product
          example:
            - 65d71377c326ea78e1c47df5
            - 65d71377c326ea78e1c47d34
          type: array
          items:
            type: string
        isTaxesEnabled:
          type: boolean
          description: >-
            The field indicates whether taxes are enabled for the product or
            not.
          example: true
          default: false
        taxes:
          description: >-
            An array of ids of Taxes attached to the Product. If the expand
            query includes tax, the taxes will be of type `ProductTaxDto`.
            Please refer to the `ProductTaxDto` for additional details.
          example:
            - 654492a4e6bef380114de15a
          type: array
          items:
            type: string
        automaticTaxCategoryId:
          type: string
          description: Tax category ID for Automatic taxes calculation.
          example: 65d71377c326ea78e1c47df5
        label:
          $ref: '#/components/schemas/ProductLabelDto'
        slug:
          type: string
          description: The slug of the product by which the product will be navigated
          example: washing-machine
      required:
        - _id
        - locationId
        - name
        - productType
        - createdAt
        - updatedAt
    DefaultPriceResponseDto:
      type: object
      properties:
        _id:
          type: string
          description: The unique identifier for the price.
          example: 655b33aa2209e60b6adb87a7
        membershipOffers:
          description: An array of membership offers associated with the price.
          type: array
          items:
            $ref: '#/components/schemas/MembershipOfferDto'
        variantOptionIds:
          description: An array of variant option IDs associated with the price.
          example:
            - h4z7u0im2q8
            - h3nst2ltsnn
          type: array
          items:
            type: string
        locationId:
          type: string
          description: The unique identifier for the location.
          example: 3SwdhCsvxI8Au3KsPJt6
        product:
          type: string
          description: The unique identifier for the associated product.
          example: 655b33a82209e60b6adb87a5
        userId:
          type: string
          description: The unique identifier for the user.
          example: 6YAtzfzpmHAdj0e8GkKp
        name:
          type: string
          description: The name of the price.
          example: Red / S
        type:
          type: string
          description: The type of the price (e.g., one_time).
          example: one_time
          enum:
            - one_time
            - recurring
        currency:
          type: string
          description: The currency code for the price.
          example: INR
        amount:
          type: number
          description: The amount of the price.
          example: 199999
        recurring:
          $ref: '#/components/schemas/RecurringDto'
        createdAt:
          format: date-time
          type: string
          description: The creation timestamp of the price.
          example: '2023-11-20T10:23:38.645Z'
        updatedAt:
          format: date-time
          type: string
          description: The last update timestamp of the price.
          example: '2024-01-23T09:57:04.852Z'
        compareAtPrice:
          type: number
          description: The compare-at price for comparison purposes.
          example: 2000000
        trackInventory:
          type: boolean
          description: Indicates whether inventory tracking is enabled.
          example: null
        availableQuantity:
          type: number
          description: Available inventory stock quantity
          example: 5
        allowOutOfStockPurchases:
          type: boolean
          description: Continue selling when out of stock
          example: true
      required:
        - _id
        - name
        - type
        - currency
        - amount
    ProductVariantDto:
      type: object
      properties:
        id:
          type: string
          description: A unique identifier for the variant.
          example: 38s63qmxfr4
        name:
          type: string
          description: The name of the variant.
          example: Size
        options:
          description: An array of options for the variant.
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantOptionDto'
      required:
        - id
        - name
        - options
    ProductLabelDto:
      type: object
      properties:
        title:
          type: string
          description: The content for the product label.
          example: Featured
        startDate:
          type: string
          description: Start date in YYYY-MM-DDTHH:mm:ssZ format
          example: '2024-06-26T05:43:35.000Z'
        endDate:
          type: string
          description: Start date in YYYY-MM-DDTHH:mm:ssZ format
          example: '2024-06-30T05:43:39.000Z'
      required:
        - title
    MembershipOfferDto:
      type: object
      properties:
        label:
          type: string
          description: Membership offer label
          example: top_50
        value:
          type: string
          description: Membership offer label
          example: '50'
        _id:
          type: string
          description: The unique identifier for the membership offer.
          example: 655b33aa2209e60b6adb87a7
      required:
        - label
        - value
        - _id
    RecurringDto:
      type: object
      properties:
        interval:
          type: string
          description: The interval at which the recurring event occurs.
          example: day
          enum:
            - day
            - month
            - week
            - year
        intervalCount:
          type: number
          description: The number of intervals between each occurrence of the event.
          example: 1
      required:
        - interval
        - intervalCount
    ProductVariantOptionDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the option.
          example: h4z7u0im2q8
        name:
          type: string
          description: The name of the option.
          example: XL
      required:
        - id
        - name

````